/**
 * @file
 * Default JavaScript file for Modal Page.
 */

(function ($, Drupal) {
  'use strict';

  Drupal.behaviors.modalPage = {
    attach: function (context, settings) {

      var modalPage = $('#js-modal-page-show-modal', context);

      if (modalPage.length) {

        var modal_id = $('#js-modal-page-show-modal', context).attr('data-modal-id');
        var cookie_please_do_not_show_again = $.cookie(modal_id);

        if (!cookie_please_do_not_show_again) {
          var delay = $('#js-modal-page-show-modal #delay_display', context).val() * 1000;
          setTimeout(function () {
            modalPage.modal();
          }, delay);
        }
      }

      var checkbox_please_do_not_show_again = $('.modal-page-please-do-not-show-again', context);
      var ok_buttom = $('.js-modal-page-ok-buttom', context);

      ok_buttom.on('click', function () {

        if (checkbox_please_do_not_show_again.is(':checked')) {

          var id_modal = checkbox_please_do_not_show_again.val();

          $.cookie(id_modal, 'please_do_not_show_again', {expires: 365 * 20 });

        }
      });
    }
  };
})(jQuery, Drupal);
